package com.ningdatech.pmapi.todocenter.model.dto.req;

import com.ningdatech.pmapi.todocenter.bean.entity.ProcessComment;
import com.wflow.workflow.enums.ProcessHandlerEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 流程处理操作参数实体
 *
 * @author CMM
 * @since 2023/01/30 09:09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ReqProcessHandlerDTO {

    /**
     * 要处理的项目ID
     */
    @NotNull(message = "要处理的项目ID不能为空!")
    private Long projectId;

    /**
     * 实例ID
     */
    @NotNull(message = "流程实例ID不能为空!")
    private String instanceId;
    /**
     * 任务ID
     */
    @NotNull(message = "任务ID不能为空!")
    private String taskId;
    /**
     * 签名图片地址
     */
    private String signature;
    /**
     * 操作类型
     */
    @NotNull(message = "操作类型不能为空!")
    private ProcessHandlerEnum action;
    /**
     * 目标用户
     */
    private String targetUser;
    /**
     * 目标节点
     */
    private String targetNode;

    /**
     * 审核信息
     */
    private ProcessComment auditInfo;
}
